Ubuntu

Can't play sound because of pulseaudio hang

Reported by Mattias Wadman on 2008-10-23
146
This bug affects 17 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Running ubuntu 8.10 beta

Sound stopped working, haven't not manage to reproduce it, not even sure some sound was playing when i happend, but i think so.

matwad@yoggi:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

matwad@yoggi:~$ apt-cache policy pulseaudio
pulseaudio:
  Installed: 0.9.10-2ubuntu9
  Candidate: 0.9.10-2ubuntu9
  Version table:
 *** 0.9.10-2ubuntu9 0
        500 http://se.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

matwad@yoggi:~$ dpkg -l|grep pulse
ii gstreamer0.10-pulseaudio 0.10.10.3-1ubuntu2 GStreamer plugin for PulseAudio
ii libpulse-browse0 0.9.10-2ubuntu9 PulseAudio client libraries (zeroconf support)
ii libpulse-mainloop-glib0 0.9.10-2ubuntu9 PulseAudio client libraries (glib support)
ii libpulse0 0.9.10-2ubuntu9 PulseAudio client libraries
ii libpulsecore5 0.9.10-2ubuntu9 PulseAudio sound server core
ii pulseaudio 0.9.10-2ubuntu9 PulseAudio sound server
ii pulseaudio-esound-compat 0.9.10-2ubuntu9 PulseAudio ESD compatibility layer
ii pulseaudio-module-gconf 0.9.10-2ubuntu9 GConf module for PulseAudio sound server
ii pulseaudio-module-hal 0.9.10-2ubuntu9 HAL device detection module for PulseAudio sound server
ii pulseaudio-module-x11 0.9.10-2ubuntu9 X11 module for PulseAudio sound server
ii pulseaudio-module-zeroconf 0.9.10-2ubuntu9 Zeroconf module for PulseAudio sound server
ii pulseaudio-utils 0.9.10-2ubuntu9 Command line tools for the PulseAudio sound server

syslog:
Oct 23 13:14:57 yoggi pulseaudio[6705]: protocol-native.c: Failed to push data into queue
Oct 23 13:14:58 yoggi last message repeated 3954 times

(gdb) bt
#0 0xb8093430 in __kernel_vsyscall ()
#1 0xb7cb0405 in sem_wait@@GLIBC_2.1 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0xb804ca38 in pa_semaphore_wait () from /usr/lib/libpulsecore.so.5
#3 0xb8043f6d in pa_asyncmsgq_send () from /usr/lib/libpulsecore.so.5
#4 0xb664d722 in ?? () from /usr/lib/pulse-0.9/modules/libprotocol-native.so
#5 0xb6664a99 in pa_pdispatch_run ()
   from /usr/lib/pulse-0.9/modules/libpdispatch.so
#6 0xb66471b2 in ?? () from /usr/lib/pulse-0.9/modules/libprotocol-native.so
#7 0xb666e02b in ?? () from /usr/lib/pulse-0.9/modules/libpstream.so
#8 0xb6677488 in ?? () from /usr/lib/pulse-0.9/modules/libiochannel.so
#9 0xb7ff9d49 in pa_mainloop_dispatch () from /usr/lib/libpulsecore.so.5
#10 0xb7ffa0a1 in pa_mainloop_iterate () from /usr/lib/libpulsecore.so.5
#11 0xb7ffa164 in pa_mainloop_run () from /usr/lib/libpulsecore.so.5
#12 0x0805118d in main ()
(gdb) c
Continuing.
^C
Program received signal SIGINT, Interrupt.
[Switching to Thread 0xb7b03920 (LWP 6705)]
0xb8093430 in __kernel_vsyscall ()
(gdb) bt
#0 0xb8093430 in __kernel_vsyscall ()
#1 0xb7cb0405 in sem_wait@@GLIBC_2.1 ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0xb804ca38 in pa_semaphore_wait () from /usr/lib/libpulsecore.so.5
#3 0xb8043f6d in pa_asyncmsgq_send () from /usr/lib/libpulsecore.so.5
#4 0xb664d722 in ?? () from /usr/lib/pulse-0.9/modules/libprotocol-native.so
#5 0xb6664a99 in pa_pdispatch_run ()
   from /usr/lib/pulse-0.9/modules/libpdispatch.so
#6 0xb66471b2 in ?? () from /usr/lib/pulse-0.9/modules/libprotocol-native.so
#7 0xb666e02b in ?? () from /usr/lib/pulse-0.9/modules/libpstream.so
#8 0xb6677488 in ?? () from /usr/lib/pulse-0.9/modules/libiochannel.so
#9 0xb7ff9d49 in pa_mainloop_dispatch () from /usr/lib/libpulsecore.so.5
#10 0xb7ffa0a1 in pa_mainloop_iterate () from /usr/lib/libpulsecore.so.5
#11 0xb7ffa164 in pa_mainloop_run () from /usr/lib/libpulsecore.so.5
#12 0x0805118d in main ()
(gdb)

strace:
Process 6705 attached - interrupt to quit
futex(0x9169aa8, 0x80 /* FUTEX_??? */, 0

Have corefile from the hanged process but dont know if it helps

matwad@yoggi:~$ gdb /usr/bin/pulseaudio pacore.6705
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Core was generated by `/usr/bin/pulseaudio'.
[New process 6709]
[New process 6710]
[New process 6705]
#0 0xb8093430 in __kernel_vsyscall ()
(gdb) bt
#0 0xb8093430 in __kernel_vsyscall ()
#1 0xb7cb110b in ?? ()
#2 0xb80450a3 in ?? ()
#3 0xb80446c1 in ?? ()
#4 0xb664607f in ?? ()
#5 0xb8043a59 in ?? ()
#6 0xb8047870 in ?? ()
#7 0xb8048c04 in ?? ()
#8 0xb7790bb5 in ?? ()
#9 0xb804c842 in ?? ()
#10 0xb7caa50f in ?? ()
#11 0xb7c277ee in ?? ()
(gdb)

Audio works again after restarting the pulseaudio deamon

ramon (agmonr) wrote :

I have the same problem. After updated the pulseaudio stop playing sounds.

00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controlle

I moved back to oss.

ramon (agmonr) wrote :

fixed with hal update.

Mattias Wadman (mattias-wadman) wrote :

ramon: did your sound work at all with pulseaudio? mine works but stopped working unexpectedly when the deamon hanged

Erik Reuter (misc71) wrote :

I had a similar problem. There was a partial workaround to get sound working again here:

  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/288861

where alsamixer -Dhw revealed that the PCM volume was at zero, and turning it up restored
sound operation. I still have the problem that my system hangs during shutdown while it is
shutting down ALSA.

Here is a list of similar bugs:

#288861
#288652
#288093
#288039
#286966
#286430
#285965

Mattias Wadman (mattias-wadman) wrote :
Download full text (13.9 KiB)

My sound works but stops working after some hours or so, works again after killing pulseaudio and start the daeamon manually

Now after the weekend the sound on my workstation has stopped working again after just being idle for two days

matwad@yoggi:~$ pactl stat
Connection failure: Connection refused

matwad@yoggi:~$ ps ax|grep pulseaudio
29548 ? Tl 98:22 /usr/bin/pulseaudio

matwad@yoggi:~$ sudo lsof -p 29548
[sudo] password for matwad:
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/matwad/.gvfs
      Output information may be incomplete.
COMMAND PID USER FD TYPE DEVICE SIZE NODE NAME
pulseaudi 29548 matwad cwd DIR 8,6 4096 2 /
pulseaudi 29548 matwad rtd DIR 8,6 4096 2 /
pulseaudi 29548 matwad txt REG 8,6 59300 2305739 /usr/bin/pulseaudio
pulseaudi 29548 matwad mem REG 0,21 2097176 801854 /dev/shm/pulse-shm-902027447
pulseaudi 29548 matwad mem REG 0,21 2097176 887012 /dev/shm/pulse-shm-813528732
pulseaudi 29548 matwad mem REG 8,6 16628 2306106 /usr/lib/libXdmcp.so.6.0.0
pulseaudi 29548 matwad mem REG 8,6 7408 2306030 /usr/lib/libXau.so.6.0.0
pulseaudi 29548 matwad mem REG 8,6 95676 2306704 /usr/lib/libxcb.so.1.0.0
pulseaudi 29548 matwad mem REG 8,6 5364 2307717 /usr/lib/libxcb-xlib.so.0.0.0
pulseaudi 29548 matwad mem REG 8,6 971436 2308063 /usr/lib/libX11.so.6.2.0
pulseaudi 29548 matwad mem REG 8,6 86160 2305655 /usr/lib/libICE.so.6.3.0
pulseaudi 29548 matwad mem REG 8,6 30064 2307013 /usr/lib/libSM.so.6.0.0
pulseaudi 29548 matwad mem REG 8,6 5296 3237873 /usr/lib/pulse-0.9/modules/libx11prop.so
pulseaudi 29548 matwad mem REG 8,6 13576 3237877 /usr/lib/pulse-0.9/modules/libx11wrap.so
pulseaudi 29548 matwad mem REG 8,6 9588 3237881 /usr/lib/pulse-0.9/modules/module-x11-publish.so
pulseaudi 29548 matwad mem REG 8,6 17772 3237777 /usr/lib/pulse-0.9/modules/module-suspend-on-idle.so
pulseaudi 29548 matwad mem REG 8,6 9480 3237769 /usr/lib/pulse-0.9/modules/module-rescue-streams.so
pulseaudi 29548 matwad mem REG 8,6 9476 3237753 /usr/lib/pulse-0.9/modules/module-default-device-restore.so
pulseaudi 29548 matwad mem REG 8,6 17836 3237778 /usr/lib/pulse-0.9/modules/module-volume-restore.so
pulseaudi 29548 matwad mem REG 8,6 5364 3237745 /usr/lib/pulse-0.9/modules/libstrlist.so
pulseaudi 29548 matwad mem REG 8,6 9448 3237709 /usr/lib/pulse-0.9/modules/libauthkey-prop.so
pulseaudi 29548 matwad mem REG 8,6 17636 3237746 /usr/lib/pulse-0.9/modules/libtagstruct.so
pulseaudi 29548 matwad mem REG 8,6 92204 3237737 /usr/lib/pulse-0.9/modules/libprotocol-native.so
pulseaudi 29548 matwad mem REG 8,6 9476 3237744 /usr/lib/pulse-0.9/modules/libsocket-util.so
pulseaudi 29548 matwad mem REG 8,6 30960 2338409 /lib/libwrap.so.0.7.6
pulseaudi 29548 matwad mem REG 8,6 13560 3237734 /usr/lib/pulse-0.9/modules/libpdispatch.so
pulseaudi 29548 matwad mem REG ...

Mattias Wadman (mattias-wadman) wrote :
Download full text (35.6 KiB)

Happens every morning, restart of pulseaudio fixes it.... maybe different issue, i looks like youtube videos etc can play audio for 2 seconds at the time and then hang

Maybe this is interesting from the log:
D: memblock.c: Memory block too large for pool: 17640 > 16376
D: memblockq.c: memblockq requested: maxlength=141120, tlength=70560, base=8, prebuf=67032, minreq=3528
D: memblockq.c: memblockq sanitized: maxlength=141120, tlength=70560, base=8, prebuf=67032, minreq=3528

matwad@yoggi:/etc/X11$ pulseaudio -v -v -v -v -v
I: main.c: PolicyKit refuses acquire-high-priority privilige.
I: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary priviliges:
I: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us priviliges. Dropping SUID again.
I: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit priviliges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: Note that real-time/high-priority scheduling is NOT normally required. If you experience crackling or other sound anomalies, consider one or more of the above solutions.
I: main.c: High-priority scheduling enabled in configuration but now allowed by policy. Disabling forcibly.
W: ltdl-bind-now.c: Failed to find original dlopen loader.
W: pid.c: Stale PID file, overwriting.
W: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
W: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
I: main.c: This is PulseAudio 0.9.10
I: main.c: Page size is 4096 bytes
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9/modules/module-hal-detect.so': success
I: module-hal-detect.c: Trying capability alsa
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device_id=0 sink_name=alsa_output.pci_8086_2668_sound_card_0_alsa_playback_0'
D: alsa-util.c: Trying front:0...
I: module-alsa-sink.c: Successfully opened device front:0.
I: module-alsa-sink.c: Successfully enabled mmap() mode.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Master".
I: sink.c: Created sink 0 "alsa_output.pci_8086_2668_sound_card_0_alsa_playback_0" with sample spec "s16le 2ch 44100Hz"
I: source.c: Created source 0 "alsa_output.pci_8086_2668_sound_card_0_alsa_playback_0.monitor" with sample spec "s16le 2ch 44100Hz"
I: module-alsa-sink.c: Using 8 fragments of size 1792 bytes.
I: alsa-util.c: All 2 channels can be mapped to mixer channels. Using hardware volume control.
D: module-alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29
I: module-alsa-sink.c: Starting playback.
I: module.c: Loaded "module-alsa-sink" (index: #0; a...

Adam Hooper (adamh) wrote :

Happens to me most often when streaming video over the Internet (maybe once every 30-60 minutes, possibly around the times my bandwidth dips too low, though I'm not at all sure of that. I have to kill pulseaudio, restart Firefox (since it crashes when I kill pulseaudio), and re-open the video).

Also happens sometimes when my computer is idle, with (as far as I can see) no programs trying to play any sounds. (My Pidgin has "mute sounds" enabled.)

I'm not sure at all if my comments above help or mislead, but I am sure this bug happens to me!

Using snd-hda-intel.

Adam Hooper (adamh) wrote :

Maybe the same as Bug #295435?

Sometimes I need to kill and sometimes I need to kill -9, so perhaps there are two separate bugs for me.

Mattias Wadman (mattias-wadman) wrote :

Yes looks very similar, i will add a comment on that bug

Agreed, these are the same bug. Confirming this one. See my duplicate for details of what I observe. It looks like pretty much everything I mentioned there has been covered here. One exception is that I have once observed the problem happen while in the middle of playing sound. In that scenario, the sound card keeps replaying the last few hundred milliseconds of sound until pulseaudio is killed.

Also, every time I've tried kill -15 it hasn't worked.

Changed in pulseaudio:
status: New → Confirmed
chocolateboy (chocolateboy) wrote :

> In that scenario, the sound card keeps replaying the last
> few hundred milliseconds of sound until pulseaudio is killed.

This can be reproduced by installing XBMC and playing then pausing a video (and presumably audio) file:

http://810intrepid.wordpress.com/2008/11/19/xbmc-and-pulseaudio/

> One exception is that I have once observed the problem
> happen while in the middle of playing sound.

So have I (likewise only once).

I've tried to fix these crashes by upgrading to pulseaudio 0.9.12, via a PPA, as recommended here:

http://ubuntuforums.org/showthread.php?t=866965

- but that (and 0.9.13 - at least until version 0.9.13-4) has an even worse problem that causes it to crash every hour or so due to CPU overload:

https://bugzilla.redhat.com/show_bug.cgi?id=462200

I've rolled back to 0.9.10. Restarting Firefox (to restart Flash) every day or two is less annoying than restarting it every few minutes :-)

Just an FYI - in case anyone else is thinking of making a run for Jaunty or the PPA hills.

Steve Baker (steve-stevebaker) wrote :

I've been experiencing this problem on a nightly basis, every morning I need to kill and restart pulseaudio to get audio working again.

I tried shutting down firefox and pulseaudio was working the next morning so I think its likely that the flash plugin is triggering a pulseaudio bug.

MoMaT (momat) wrote :

Confirming. The only trace of failure I found, was in the /var/log/messages and /var/log/user.log:
Dec 4 23:01:43 xxx pulseaudio[29241]: protocol-native.c: Failed to push data into queue
Dec 4 23:01:56 xxx last message repeated 44436 times
Dec 5 20:00:57 xxx pulseaudio[29241]: protocol-native.c: Failed to push data into queue
Dec 5 20:01:05 xxx last message repeated 33565 times

Killing pulseaudio and starting it over helps. But restarting all sound applications after that is really annoying.

Steve Baker (steve-stevebaker) wrote :

Running the following:
/usr/bin/pulseaudio -vvvv

When mine starts faulting I get hundreds of lines of:

D: memblock.c: Pool full

which is then interspersed with lines of:

W: protocol-native.c: Failed to push data into queue

Steve, I think you might be right about this being Flash's fault. Thinking back, I think maybe the problem has only happened to me when I left Hulu open. And Flash's ALSA sound support is known to be buggy, so that would make sense. But unfortunately Pulse output is the default ALSA plugin for ALL users now, so we can't confirm this just by asking the people here if they each have that turned on.

Maybe another thing to find out is what Flash version we're all using? The bug might only affect certain versions. I'm using 10.0.1.218, installed via the flashplugin-nonfreebeta package.

Steve Baker (steve-stevebaker) wrote :

flashplugin-nonfree/intrepid uptodate 10.0.12.36ubuntu1

I'd like to think that pulseaudio doesn't let a buggy app prevent all audio from playing. So even if the problem is with flash there is still a robustness issue with PA.

Yes, pulseaudio is definitely at fault, but it may be brought on by Flash. I recall that the issue is that Flash leaks ALSA handles or something, which might contribute to resource exhaustion in Pulse, and the error messages seems suggestive of that.

I get bit by this every so often; if there's a question of hardware involved, I'm running the following:

$ lspci|grep audio
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)

Additionally, I got no other error messages before the "Failed to push data into queue" one, and it happened when I was far, far away from the machine. The following is from /var/log/user.log:

Dec 5 03:48:44 adam-linux pulseaudio[3518]: protocol-native.c: Failed to push data into queue
Dec 5 03:48:45 adam-linux last message repeated 2418 times

lshw gives me the following:
     *-multimedia
          description: Audio device
          product: MCP61 High Definition Audio
          vendor: nVidia Corporation
          physical id: 5
          bus info: pci@0000:00:05.0
          version: a2
          width: 32 bits
          clock: 66MHz
          capabilities: pm msi ht bus_master cap_list
          configuration: driver=HDA Intel latency=0 maxlatency=5
mingnt=2 module=snd_hda_intel

I'm using the same card (nVidia MCP61) and driver (snd-hda-intel), and I'm guessing the Intel 82801EB/ER also uses snd-hda-intel. The two people who go into detail in this thread also appear to be using it:

http://ubuntuforums.org/showthread.php?t=758175

Is anyone experiencing this problem with a driver other than snd-hda-intel?

chocolateboy: I don't have snd-hda-intel loaded; the hardware driver for my sound card is snd_intel8x0. From lshw:

        *-multimedia
             description: Multimedia audio controller
             product: 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
             vendor: Intel Corporation
             physical id: 1f.5
             bus info: pci@0000:00:1f.5
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=Intel ICH latency=0 module=snd_intel8x0

I have two sound devices. One is an Intel 82801G (ICH7 Family) High Definition Audio Controller. The other is an external USB device: Creative Technology, Ltd SoundBlaster Live! 24-bit External SB0490. I have snd_hda_intel and snd_usb_audio loaded, so that's probably their drivers.

chocolateboy (chocolateboy) wrote :

I created a cron job to track pulseaudio's uptime. Unfortunately, there's no pattern (see attachment). The daemon crashes at all times of day, and uptimes range from ~20 hours to ~80 hours. The average uptime over the past week or so has been 33 hours.

The closest bug on the pulseaudio tracker is: http://www.pulseaudio.org/ticket/403

Dan McGuirk (incandenza) wrote :

As others are saying, it seems to me that this is some kind of interaction between the newer Flash, ALSA, and the Intel audio drivers.

I've tried running without pulseaudio for a few days. What happens is that after several hours, about the amount of time it would take pulseaudio to hang, the audio in Firefox hangs. When Firefox is killed and restarted it works again. Audio in other apps continues to work all along.

So it may not be a pulseaudio problem per se (except for the notion that pulseaudio should be able to recover from whatever the hang is). Not sure if another bug should be opened; if someone wants me to do that, let me know.

audio device:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Dan Connolly (connolly) wrote :

I'm seeing similar symptoms; after using a mixture of flash, banshee, and totem for a while, I have to kill -9 to recover.

My sound device (per lspci) is:
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)

meanwhile, https://wiki.ubuntu.com/PulseAudio seems to be out of date; it refers to libflashsupport , but apt says:

Package libflashsupport is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  flashplugin-nonfree-extrasound

evil_neanderthal (nmiaccki) wrote :

I'm having this issue as well.

Seems like a sure-fire way to reproduce the error is to leave a flash player open in firefox for a while. It doesn't even have to be playing. Come back and pulse is hung with W: protocol-native.c: Failed to push data into queue errors.

Lorenz Pretterhofer (krysole) wrote :

I seem to be hitting this one too.

As far as I can tell, it seems to just be the flash plugin crashing---taking the pulse audio daemon with it (hanging at least, anyway.) I've found the bug quickest to reproduce by putting flash under heavy or constant load, but leaving it open for a while works too. Either way it doesn't seem to fail until the plugin starts idling.

I'm running the current flash plugin (10.0 r15), snd_hda_intel (ALSA), and it's still always pulse audio that goes, hanging the entire subsystem.

-- Lorenz

Casey J Peter (caseyjp1) wrote :

Its not just flash. I'm having the same intermittent crashing (usually every 1-2 days), and many times I'm doing nothing but streaming audio via VLC. (unless of course open office has flash embedded -grin.).

This is a pulse audio issue pure and simple. Flash may get the blame as its used a lot, but when my pulse crashes, firefox locks up (if it is running), and any video/audio applications do the same until the daemon and apps using the daemon are manually killed either by command line or by system manager. Then manually restarting pulse via command line and then restarting the a/v applications normally. There is no rhyme nor reason to it other than it is an every 1-3 day occurrence.

If it weren't for the fact that the distribution and gnome are firmly on the path to keeping pulse as the default, I would rip it out and use Alsa as the default, but at this point unless we wish to change distributions or 'self maintain', we're stuck with this....er.........improvement to sound management.

Paul Broadhead (pjbroad) wrote :

I have to agree with Casey J Peter. IMHO, there is no question that pulse audio is the problem here. I moved to Ubuntu 8.10 from Debian over the new year. After that, I experienced application freezes every few hours, sound on my system was almost unusable. All the issues and debug I could produce have already been logged into the bug tracking system so I have just added the "affects me too" flag and subscribed. The main way to recover for me was to kill pulse audio whereby most applications carried on working after the freeze. I had particular problems with openal applications. I followed lots of advice to configure and fix things but nothing worked.

A couple of weeks ago I simply removed pulse audio from my system, aptitude removed all trace. I have been working with just Alsa since and have had no problems what so ever. Applications can share the sound system and no applications are freezing. I'm very relieved.

I realise that pulse audio is part of the ubuntu-desktop but it does not work for me. I will carry on watching for news of updates and will test these when they are available. Until then, no pulse audio on my system.

In case it is relevant, lspci shows my sound card as Ensoniq 5880B [AudioPCI]

Me too here.

But looking at http://pulseaudio.org/ticket/403 , it seems like this should be fixed in the 0.9.14 version of pulseaudio.

More infos http://ubuntuforums.org/showthread.php?p=6632319

Just confirmed from http://pulseaudio.org/ticket/403

"01/28/09 17:31:42 changed by lennart
    * summary changed from Pulseaudio 'crashes' to Pulseaudio freezes after a while playing..
    * milestone set to 0.9.14.
Yes, should be fixed in 0.9.14. Closing.
01/28/09 17:31:57 changed by lennart
    * status changed from new to closed.
    * resolution set to fixed."

So, how do we nominate 0.9.14 for Ubuntu 9.04 Jaunty? :)

Nevermind my last sentence, I think it is already

From http://launchpad.net/ubuntu/+source/pulseaudio

Ubuntu version Upstream version
jaunty development main release 0.9.14-0ubuntu2 None defined

Tim Angus (tim-ngus) wrote :

If this is indeed fixed by 0.9.14, when is it likely to make it into Intrepid, if at all?

Chris Carlin (volkris) wrote :

Does anyone have a package, perhaps in a PPA, including 0.9.14 for Intrepid? Sounds like there are plenty here willing to test.

nicky.7 (nickkkk7) wrote :
Daniel T Chen (crimsun) on 2009-02-15
Changed in pulseaudio:
status: Confirmed → Fix Released
Bem Jones-Bey (ajani) wrote :

Since I didn't want to deal with a bunch of libs other than pulse audio being upgraded, I downloaded the Jaunty source for 0.9.14, and built my own packages. I don't know how to get them into a PPA, but I did put them up here:

http://testing.pyen.com/~ajani/pa/

(Sorry, it's not an APT source, either)

I looked up the pulseaudio packages installed on my system with:
dpkg -l '*pulse*' | grep '^ii'

and then I installed only the packages I already had:

sudo dpkg -i libpulse-browse0_0.9.14-0ubuntu7_i386.deb libpulse-mainloop-glib0_0.9.14-0ubuntu7_i386.deb libpulse0_0.9.14-0ubuntu7_i386.deb libpulsecore9_0.9.14-0ubuntu7_i386.deb pulseaudio_0.9.14-0ubuntu7_i386.deb pulseaudio-esound-compat_0.9.14-0ubuntu7_i386.deb pulseaudio-module-gconf_0.9.14-0ubuntu7_i386.deb pulseaudio-module-hal_0.9.14-0ubuntu7_i386.deb pulseaudio-module-x11_0.9.14-0ubuntu7_i386.deb pulseaudio-module-zeroconf_0.9.14-0ubuntu7_i386.deb pulseaudio-utils_0.9.14-0ubuntu7_i386.deb

And I found that it didn't uninstall libpulsecore5, so I removed that:

sudo dpkg --remove libpulsecore5

and then if you log out and log back in (or just reboot), you should be running pulse audio 0.9.14.

It does look like it solved the problem for me (I would get the hang every time I suspended and then resumed my laptop if I accidentally left a sound related application open, and I was able to just suspend and resume while playing audio from banshee, and I didn't have any problems)

Hopefully it will continue to work, and it will make it into intrepid.

Fibonacci (fibonacci-prower) wrote :

Well, I'm using Intrepid, and guess what, the bug is still there!

It's true that PulseAudio doesn't hang as often as it did on Jaunty - now it might hang after a week of running continuously. But it DOES hang, and unlike before, it restarts automatically upon hanging, which is why if I open a new process to test sound, it will work.
Problem is, upon restarting it terminates all audio streams open at the moment, and the programs using it cannot generate any more audio until they are restarted. Of course, restarting Firefox every time this happens is not an option.

chocolateboy (chocolateboy) wrote :

Unfortunately, Fibonacci's account (swapping "Intrepid" and "Jaunty", of course) seems to be true for me too. Flash has gone silent for me after about seven days. No other apps were affected, so pulseaudio does seem to have restarted itself. The usual Firefox restart works around the problem, as it did before.

The pulseaudio message in /var/log/messages is:

    pulseaudio[3441]: protocol-native.c: Failed to push data into queue
    last message repeated 44441 times

I've been seeing the same thing on Jaunty. If Firefox is left open for a day or so on, e.g., Hulu, then if I come back and try to use it it will hang. Most other apps can recover from this state though b/c they just reconnect to Pulse.

Re-opening.

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
Tigera (tigera) wrote :

There seem to be several bugs out there related to this one, including bug 254405 and 353498 (which I reported). I first noticed this problem as far back as Hardy. For me, upgrading to Jaunty actually fixed the problem - I haven't had to restart Firefox since. I do notice times when the sound will "skip" momentarily, however, which might be the flash player reconnecting as described above.

Fibonacci (fibonacci-prower) wrote :

Yes, sorry on that one, it appears I swapped "Intrepid" and "Jaunty" while writing my previous comment. I am currently using Jaunty, not Intrepid.
As for the latest comment, no, Flash does not reconnect to PulseAudio unlike other apps. Of course, this is Flash's problem, not PA's, but there should be no reason to reconnect in the first place - in other words, PA shouldn't hang.
I just experienced a worse case of this bug. After pausing a Flash video on YouTube, no more audio could be played in the system. Sure enough, pulseaudio wasn't running. That means it didn't only hang, but crash without restarting for a whole two minutes (the time it took before I could play audio again). The only messages from pulseaudio in /var/log/messages (for that matter, the *only* messages in /var/log/messages) are more than 15 minutes older than the time of the crash:

  pulseaudio[13162]: protocol-native.c: Failed to push data into queue
  last message repeated 4510 times
  pulseaudio[13162]protocol-native.c: Failed to push data into queue
  pulseaudio[13162]: protocol-native.c: Failed to push data into queue
  last message repeated 37750 times
  kernel: [848533.546013] pulseaudio[13162]: segfault at b2fdeb70 ip b2fdeb70 sp bf887acc error 4 in pulse-shm-2460155229[b2ff5000+4001000]
  pulseaudio[2888]: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
  pulseaudio[2888]: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
  pulseaudio[2888]: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
  pulseaudio[2891]: pid.c: Stale PID file, overwriting.
  pulseaudio[2891]: alsa-util.c: Device hw:1 doesn't support 44100 Hz, changed to 16000 Hz.
  pulseaudio[2891]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
  pulseaudio[2891]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18,00 dB to 18,00 dB which makes no sense.
  -- MARK --

Tigera (tigera) wrote :

Under Intrepid, I would usually lsof | grep snd and find a process running that started with "libsound.so". I couldn't stop it with kill -15, but kill -3 seemed to destroy it. After that, restarting firefox or any other process involving sound would work just fine.

Ariel Faigon (ariel.faigon) wrote :

I would like to confirm that pulseaudio 0.9.14 does NOT fix the problem - for me at least.

I am running 64-bit Jaunty with firefox 3.0.13 and nonfree flash.

Every several hours sound gets confused, starts stuttering.
Restarting firefox seems to fix it.

Also, occasionally, I get this in syslog:

Aug 12 18:35:37 hostname pulseaudio[9325]: protocol-native.c: Failed to push data into queue
Aug 12 18:35:38 hostname last message repeated 13073 times
Aug 12 18:35:38 hostname pulseaudio[9325]: asyncq.c: q overrun, queuing locally
Aug 12 18:35:38 hostname pulseaudio[9325]: protocol-native.c: Failed to push data into queue

The two problems don't seem to coincide in time, unfortunately.

Thanks.

My sound fails precisely 18h15m after the computer starts.

I have an Ubuntu 10.04 that reboots automatically every night at 00:30.
This computer is playing audio and video all day... and at 18:45 each day the sound stops (video doesn't stop).
The sound is interrupted at 18:45 and re-starts at 19:00.

This happens every day.

I found this errors in /var/log/messages

Jul 26 18:44:32 insight-desktop pulseaudio[1950]: ratelimit.c: 9134 events suppressed
Jul 26 18:44:32 insight-desktop pulseaudio[1950]: protocol-native.c: Failed to push data into queue
Jul 26 18:44:37 insight-desktop pulseaudio[1950]: last message repeated 8 times
Jul 26 18:44:37 insight-desktop pulseaudio[1950]: ratelimit.c: 10623 events suppressed
Jul 26 18:44:37 insight-desktop pulseaudio[1950]: protocol-native.c: Failed to push data into queue
Jul 26 18:44:42 insight-desktop pulseaudio[1950]: last message repeated 10 times
Jul 26 18:44:42 insight-desktop pulseaudio[1950]: ratelimit.c: 7143 events suppressed
Jul 26 18:44:42 insight-desktop pulseaudio[1950]: protocol-native.c: Failed to push data into queue
Jul 26 18:44:47 insight-desktop pulseaudio[1950]: last message repeated 10 times
Jul 26 18:44:47 insight-desktop pulseaudio[1950]: ratelimit.c: 13099 events suppressed
Jul 26 18:44:47 insight-desktop pulseaudio[1950]: protocol-native.c: Failed to push data into queue
Jul 26 18:45:29 insight-desktop pulseaudio[1950]: last message repeated 10 times
Jul 26 18:45:29 insight-desktop pulseaudio[1950]: ratelimit.c: 5283 events suppressed

My Pulse Audio version is "pulseaudio 0.9.21-63-gd3efa-dirty"

How can I fix this issue in PulseAudio?

Thanks
Regards
Joao Pereira

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.